Skip to main content
GET
/
v1
/
google
/
news
/
search
Search Google News
curl --request GET \
  --url https://scrapebadger.com/v1/google/news/search \
  --header 'x-api-key: <api-key>'
import requests

url = "https://scrapebadger.com/v1/google/news/search"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://scrapebadger.com/v1/google/news/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "articles": [
    {
      "title": "<string>",
      "link": "<string>",
      "source": {
        "name": "<string>",
        "url": "<string>",
        "icon": "<string>"
      },
      "snippet": "<string>",
      "published_at": "<string>",
      "thumbnail": "<string>",
      "related_stories": [
        {
          "title": "<string>",
          "link": "<string>",
          "source": "<string>",
          "published_at": "<string>"
        }
      ]
    }
  ],
  "query": "<string>",
  "language": "en",
  "country": "US"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Query Parameters

q
string
required

Search query

hl
string
default:en

Language code

gl
string
default:US

Country code

max_results
integer
default:10

Maximum articles

Required range: 1 <= x <= 100

Response

Successful Response

Response for GET /api/v1/news/search.

articles
NewsArticle · object[]
required
query
string
required
language
string
default:en
country
string
default:US